<template>
    <div id="login-modal" class="modal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content bg-gray-100">
                <div class="modal-body px-5 py-3">
                    <div class="flex dark:bg-gray-900 flex-col items-end">
                        <div type="button" data-dismiss="modal" class="cursor-pointer">
                            <i data-feather="x"></i>
                        </div>
                        <div class="container mx-auto">
                            <div class="max-w-md mx-auto my-10">
                                <div class="flex justify-center">
                                    <img src="@/assets/images/Logo-mini.png" alt="">
                                </div>
                                <div class="text-center">
                                    <h1 class="my-3 text-xl font-semibold text-gray-700 dark:text-gray-200">Sign in</h1>
                                    <h1 class="my-3 text-xl font-semibold text-gray-700 dark:text-gray-200">PT Kalbe
                                        Morinaga Indonesia</h1>
                                    <p class="text-gray-500 dark:text-gray-400">Calendar of Event System</p>
                                </div>
                                <div class="m-7">
                                    <form>
                                        <div class="mb-6">
                                            <label for="username"
                                                class="block mb-2 text-sm text-gray-600 dark:text-gray-400">Username
                                                <span class="text-theme-5">*</span></label>
                                            <input type="text" v-model="username" name="username" min="6" max="20"
                                                id="username" placeholder="admin"
                                                class="w-full px-3 py-2 placeholder-gray-300 border border-gray-300 rounded-md focus:outline-none focus:ring focus:ring-indigo-100 focus:border-indigo-300"
                                                required autofocus autocomplete="off" />

                                        </div>
                                        <div class="mb-6">
                                            <div class="flex justify-between mb-2">
                                                <label for="password"
                                                    class="text-sm text-gray-600 dark:text-gray-400">Password <span
                                                        class="text-theme-5">*</span></label>
                                            </div>
                                            <input type="password" v-model="password" max="50" name="password"
                                                id="password" placeholder="Your Password"
                                                class="w-full px-3 py-2 placeholder-gray-300 border border-gray-300 rounded-md focus:outline-none focus:ring focus:ring-indigo-100 focus:border-indigo-300"
                                                required />

                                        </div>
                                        <div class="mb-6 flex justify-end">
                                            <!-- <a class="btn bg-theme-2 text-white w-24" :href="'/dashboard'">Sign in</a> -->
                                            <button type="button" data-tw-dismiss="modal"
                                                class="btn bg-theme-2 text-white w-24" @click="submit">Sign
                                                in</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import Toastify from "toastify-js";

    export default {
        data() {
            return {
                username: "",
                password: "",
            }
        },
        methods: {
            submit: function () {
                if (this.username == "" || this.password == "") {

                    Toastify({
                        text: "ERROR : Username or Password is Empty",
                        duration: 3000,
                        newWindow: true,
                        close: true,
                        gravity: "top",
                        position: "right",
                        stopOnFocus: true,
                        className: "toastify-content",
                    }).showToast();
                    return
                }
                
                this.$axios.post("/login", {
                    username: this.username,
                    password: this.password
                }).then((response) => {
                    const data = response.data.data
                    const payload = {
                        token: data.token,
                        user: data.info,
                        user_id: data.id
                    }
                    this.$store.commit("setLogin", payload);
                    localStorage.setItem('user', JSON.stringify(payload));
                    // mapActions(EventBus, ['fetchNewNotify'])

                    // setTimeout(function () {
                    //         window.location.reload()
                    //     }, 1000);
                    this.$router.push({
                        path: '/dashboard',
                    })
                }).catch((error) => {
                    const msg = error.response.data.message == "pg: no rows in result set" ? "ERROR : Username Not Found" : `ERROR : ${error.response.data.message}` 
                    Toastify({
                        text: msg,
                        duration: 3000,
                        newWindow: true,
                        close: true,
                        gravity: "top",
                        position: "right",
                        stopOnFocus: true,
                        className: "toastify-content",
                    }).showToast();
                });
            }
        }
    }
</script>